
set tez.queue.name=${TEZ_QUEUE}; 
truncate table ${DBNAME_EDW}.f_tr_datos_detallada_reinyect;

insert into ${DBNAME_EDW}.f_tr_datos_detallada_reinyect
select 
ani_cd,
inicio_sesion_datos_fh,
plan_tarifario_cd,
tipo_servicio_datos_cd,
tipo_servicio_datos_de,
duracion_sesion_datos_mo,
cantidad_enviada_bytes_mo,
cantidad_recibida_bytes_mo,
indicador_roaming_cd,
importe_cobrado_mo,
importe_costo_inicial_mo,
importe_costo_abono_mo,
importe_costo_recarga_mo,
importe_costo_promocion_mo,
importe_costo_bolsa5_mo,
importe_costo_bolsa6_mo,
importe_no_cargado_mo,
impuesto_iva_mo,
operadora_cd,
tecnologia_acceso_red_cd,
clase_tarifa_cd,
identificador_archivo_cd,
tipo_destino_cd,
tipo_evento_cd,
valor_eventprom_mo,
imei_nr,
identificador_sesion_cd,
deuda_mo,
identificador_celda_cd,
codigo_identificador_cd,
nombre_archivo_de,

roaming_f,
anio_mes_nr,
flag_movil_fl,

ambito_registro_id,
clase_descuento_aplicado_id,
clase_tarifa_id,
detalle_servicio_trafico_id,
estado_valorizacion_id,
ambito_red_id,
franja_horaria_id,
sentido_trafico_id,
-3 elemento_red_origen_id, 
moneda_id,
plataforma_id,
acumulador_id as acumulador_promo_trafico_id, 
rango_duracion_llamada_id,
sistema_origen_id, 
tecnologia_acceso_id,
tramo_tarifario_id,
fecha_inicio_sesion_id, 
hora_id as hora_inicio_sesion_id, 

suscripcion_id,
suscripcion_cd,
interurbano_cd,
urbano_cd,
linea_cd,
tipo_oferta_id,
tipo_oferta_de,
catalogo_producto_id,
catalogo_producto_cd,
catalogo_producto_de,
geografia_cnc_id,
geografia_cnc_cd,
sub_alm_cd,
alm_cd,
sub_region_cnc_id, 
sub_region_cnc_de,
region_cnc_id,
region_cnc_de,
flag_prepago_express_id,
operadora_propietaria_id,
operadora_propietaria_cd,
operadora_propietaria_de,
operadora_receptora_id,
operadora_receptora_cd,
operadora_receptora_de,
operadora_donante_id,
operadora_donante_cd,
operadora_donante_de,
flag_volte_id,
flag_volte_cd,
flag_volte_de,
equipo_tecnologia_id,
equipo_tecnologia_cd,
equipo_tecnologia_de,
equipo_utilizado_tecnologia_id,
equipo_utilizado_tecnologia_cd,
equipo_utilizado_tecnologia_de,
catalogo_equipo_id,
catalogo_equipo_cd,
catalogo_equipo_de,
estado_suscripcion_id,
estado_suscripcion_cd,
estado_suscripcion_de,
fecha_estado_suscripcion_id,
cliente_id,
cliente_cd,
sub_tipo_cliente_id,
sub_tipo_cliente_cd,
sub_tipo_cliente_de,
tipo_cliente_id,
tipo_cliente_cd,
tipo_cliente_de,
ciclo_facturacion_id,
ciclo_facturacion_cd,
ciclo_facturacion_de,
score_economico_id,
score_economico_cd,
score_economico_de,
operadora_larga_distancia_id,
operadora_larga_distancia_cd,
operadora_larga_distancia_de,
error_cd,
true reinyectable
from ${DBNAME_WRK_PROD}.f_tr_datos_detallada_prev_final
where reinyectable = true;

-- Insert en la particion por Fecha de Evento
insert into table ${DBNAME_EDW}.f_tr_datos_detallada partition(fecha)
select 
ani_cd,
inicio_sesion_datos_fh,
plan_tarifario_cd,
tipo_servicio_datos_cd,
tipo_servicio_datos_de,
duracion_sesion_datos_mo,
cantidad_enviada_bytes_mo,
cantidad_recibida_bytes_mo,
indicador_roaming_cd,
importe_cobrado_mo,
importe_costo_inicial_mo,
importe_costo_abono_mo,
importe_costo_recarga_mo,
importe_costo_promocion_mo,
importe_costo_bolsa5_mo,
importe_costo_bolsa6_mo,
importe_no_cargado_mo,
impuesto_iva_mo,
operadora_cd,
tecnologia_acceso_red_cd,
clase_tarifa_cd,
identificador_archivo_cd,
tipo_destino_cd,
tipo_evento_cd,
valor_eventprom_mo,
imei_nr,
identificador_sesion_cd,
deuda_mo,
identificador_celda_cd,
codigo_identificador_cd,
nombre_archivo_de,
roaming_f,
anio_mes_nr,
flag_movil_fl,
ambito_registro_id,
clase_descuento_aplicado_id,
clase_tarifa_id,
detalle_servicio_trafico_id,
estado_valorizacion_id,
ambito_red_id,
franja_horaria_id,
sentido_trafico_id,
-3 elemento_red_origen_id, 
moneda_id,
plataforma_id,
acumulador_id as acumulador_promo_trafico_id,
rango_duracion_llamada_id,
sistema_origen_id, 
tecnologia_acceso_id,
tramo_tarifario_id,
fecha_inicio_sesion_id, 
hora_id as hora_inicio_sesion_id, 
suscripcion_id,
suscripcion_cd,
interurbano_cd,
urbano_cd,
linea_cd,
tipo_oferta_id,
tipo_oferta_de,
catalogo_producto_id,
catalogo_producto_cd,
catalogo_producto_de,
geografia_cnc_id,
geografia_cnc_cd,
sub_alm_cd,
alm_cd,
sub_region_cnc_id, 
sub_region_cnc_de, 
region_cnc_id,
region_cnc_de,
flag_prepago_express_id,
operadora_propietaria_id,
operadora_propietaria_cd,
operadora_propietaria_de,
operadora_receptora_id,
operadora_receptora_cd,
operadora_receptora_de,
operadora_donante_id,
operadora_donante_cd,
operadora_donante_de,
flag_volte_id,
flag_volte_cd,
flag_volte_de,
equipo_tecnologia_id,
equipo_tecnologia_cd,
equipo_tecnologia_de,
equipo_utilizado_tecnologia_id,
equipo_utilizado_tecnologia_cd,
equipo_utilizado_tecnologia_de,
catalogo_equipo_id,
catalogo_equipo_cd,
catalogo_equipo_de,
estado_suscripcion_id,
estado_suscripcion_cd,
estado_suscripcion_de,
fecha_estado_suscripcion_id,
cliente_id,
cliente_cd,
sub_tipo_cliente_id,
sub_tipo_cliente_cd,
sub_tipo_cliente_de,
tipo_cliente_id,
tipo_cliente_cd,
tipo_cliente_de,
ciclo_facturacion_id,
ciclo_facturacion_cd,
ciclo_facturacion_de,
score_economico_id,
score_economico_cd,
score_economico_de,
operadora_larga_distancia_id,
operadora_larga_distancia_cd,
operadora_larga_distancia_de,
cast(FROM_UNIXTIME(UNIX_TIMESTAMP(inicio_sesion_datos_fh,'yyyy-MM-dd HH:mm:ss'),'yyyyMMdd') as int) as fecha
from ${DBNAME_WRK_PROD}.f_tr_datos_detallada_prev_final
where reinyectable = false;

INSERT OVERWRITE table ${DBNAME_EDW_PROD_LOG}.dimensional_list_nombre_extractor  partition ( mode_name='datos') 
SELECT DISTINCT(t3.nombre_archivo_de) nombre_extractor_tx 
FROM (
	SELECT DISTINCT(nombre_extractor_tx) nombre_archivo_de 
	FROM ${DBNAME_EDW_PROD_LOG}.dimensional_list_nombre_extractor WHERE mode_name='datos' 
	UNION ALL 
	SELECT DISTINCT(nombre_archivo_de) nombre_archivo_de FROM ${DBNAME_WRK_PROD}.f_tr_datos_detallada_prev_final) t3;
	